"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const react_swipeable_list_1 = require("react-swipeable-list");
const react_usestateref_1 = __importDefault(require("react-usestateref"));
const styled_components_1 = require("styled-components");
const styles_1 = require("./styles");
const List = (props) => {
    const [fullSwipe, _setFullSwipe] = (0, react_usestateref_1.default)(props?.fullSwipe);
    const [threshold, _setThreshold] = (0, react_usestateref_1.default)(props?.threshold || 0.3);
    return (react_1.default.createElement(react_1.default.Fragment, null,
        react_1.default.createElement(styles_1.ListHolder, { className: "basic-swipeable-list__container", style: { width: '100%' } },
            react_1.default.createElement(react_swipeable_list_1.SwipeableList, { fullSwipe: fullSwipe != undefined ? fullSwipe : true, threshold: threshold, type: react_swipeable_list_1.Type.IOS }, props?.children))));
};
exports.default = (0, styled_components_1.withTheme)(List);
//# sourceMappingURL=index.js.map